Given /^I have (\d+) services configured on host "(.*?)"$/ do |num_services, host_name|
  service_hashes = []
  num_services.to_i.times { |service_n|
	service_hashes.push({
		"service_description" => "my-service%d" % service_n,
		"host_name" => host_name,
		"check_command" => "check_ping" #or something, I dunno
	})
  }
  @configuration["service"] = service_hashes
end

Given /^I have these ([^ ]+)(?: configured)?:$/ do |type, table|
  type.chomp!('s')
  @configuration[type] = table.hashes
end

And /^I have activated the configuration$/ do
  #XXX: This is a bit cheesy, but I haven't been able to find a way to
  # inject code between the execution of the background and the actual
  # scenario. I probably just haven't looked hard enough...?
  @configuration.activate
end
